/*
 * @Author: jixiang
 * @Date: 2021-04-07 11:06:09
 * @Description:
 * @FilePath: /vite_pc/src/store/modules/app/state.ts
 * One World One Drefeel(56580223@qq.com)
 */
import { StateType } from '@/@type';
import { Module } from 'vuex';

const state = {
  language: 'zhCN',
  fullLoading: false,
  loadingText: 'Loading...',
};
type AppStateType = typeof state;

const app: Module<AppStateType, StateType> = { namespaced: true, ...state };

export { AppStateType, state };
export default app;
