/*
 * @Author: jixiang
 * @Date: 2021-04-07 11:06:09
 * @Description:
 * @FilePath: /pc/src/store/modules/user/state.ts
 * 56580223@qq.com
 */
import { StateType } from '@/@type';
import { Module } from 'vuex';
import { getStore } from '@/utils/store';
const state = {
  userInfo: getStore({ name: 'userInfo' }) || {},
  token: getStore({ name: 'token' }) || {},
};
type UserStateType = typeof state;

const user: Module<UserStateType, StateType> = { namespaced: true, ...state };

export { UserStateType, state };
export default user;
